CustomJUnit4TestAdapterCache (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs.optional.junit, class: CustomJUnit4TestAdapterCache

Package org.apache.tools.ant.taskdefs.optional.junit

# Class CustomJUnit4TestAdapterCache

java.lang.Object
java.util.AbstractMap<K,V>
java.util.HashMap<org.junit.runner.Description,junit.framework.Test>
junit.framework.JUnit4TestAdapterCache
org.apache.tools.ant.taskdefs.optional.junit.CustomJUnit4TestAdapterCache

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `Map<org.junit.runner.Description,junit.framework.Test>`

public class CustomJUnit4TestAdapterCache extends junit.framework.JUnit4TestAdapterCache
Provides a custom implementation of the notifier for a JUnit4TestAdapter so that skipped and ignored tests can be reported to the existing `TestListener`s.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.util.AbstractMap

  `AbstractMap.SimpleEntry<K,V>, AbstractMap.SimpleImmutableEntry<K,V>`

  ## Nested classes/interfaces inherited from interface java.util.Map

  `Map.Entry<K,V>`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CustomJUnit4TestAdapterCache`
  `getInstance()`
  `org.junit.runner.notification.RunNotifier`
  `getNotifier(junit.framework.TestResult result)`
  `org.junit.runner.notification.RunNotifier`
  `getNotifier(junit.framework.TestResult result, junit.framework.JUnit4TestAdapter adapter)`

  ### Methods inherited from class junit.framework.JUnit4TestAdapterCache

  `asTest, asTestList, getDefault`

  ### Methods inherited from class java.util.HashMap

  `clear, clone, compute, computeIfAbsent, computeIfPresent, containsKey, containsValue, entrySet, forEach, get, getOrDefault, isEmpty, keySet, merge, newHashMap, put, putAll, putIfAbsent, remove, remove, replace, replace, replaceAll, size, values`

  ### Methods inherited from class java.util.AbstractMap

  `equals, hashCode, toString`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface java.util.Map

  `equals, hashCode`

- ## Method Details

  - ### getInstance

    public static CustomJUnit4TestAdapterCache getInstance()

  - ### getNotifier

    public org.junit.runner.notification.RunNotifier getNotifier(junit.framework.TestResult result, junit.framework.JUnit4TestAdapter adapter)
    Overrides:
      `getNotifier` in class `junit.framework.JUnit4TestAdapterCache`

  - ### getNotifier

    public org.junit.runner.notification.RunNotifier getNotifier(junit.framework.TestResult result)